=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-16.23) hardy; urgency=low

  [Amit Kucheria]

  * Poulsbo: Update to latest DRM drivers (Beta09)

  [Stefan Bader]

  * Use LUM version of ALSA headers when building media drivers.
  * Include correct ALSA config for media drivers.
    - LP: #212960

  [Daniel Mack]

  * caiaq: make high sample rates work with A8DJ
    This patch for snd_usb_caiaq makes sample rates higher than 49KHz work
    with devices which have more than 2 stereo input/output pairs.

  * caiaq: correct input channel order
    This patch corrects the input channel order of hardware supported by
    snd_usb_caiaq.

  [Matthew Ranostay]

  * hda: Correct SPDIF out default config
    Several laptops have have the SPDIF out defined as 'Digital other out'
    when it should be 'SPDIF out' in the default config.

  [Soren Hansen]

  * Remove openvm tools
    We're reliably informed that open-vm-tools is not something we
    want to support. Each VMWare product comes with its own version of
    these kernel modules (released under the GPL and everything),
    while open-vm-tools is not actually supported for any version of
    any VMWare product. This might very well change in either the
    intrepid or intrepid+1 time frame, but it's not there yet.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 11 Apr 2008 10:57:39 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-16.22) hardy; urgency=low

  [Amit Kucheria]

  * Revert "cx88 NULL pointer dereference"
    It appears to cause lockups during sound device registration and probably
    affects all platforms with audio devices.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 11 Apr 2008 07:57:07 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-16.21) hardy; urgency=low

  [Stefan Bader]

  * Fix potential lockups in ALSA snd_usb_caiaq

  [Chuck Short]

  * Update iscsitarget drive
    - LP: #208281

  [Tim Gardner]

  * Fix cx88 NULL pointer dereference

  [Steve Langasek]

  * Don't call update-initramfs on postrm purge, this is redundant and can
    cause maintainer script failures if the linux-image package has already
    been removed.
    - LP: #149836

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Apr 2008 12:21:01 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-15.20) hardy; urgency=low

  [Stefan Bader]

  * uvcvideo: Fix oops when trying to access controls.
    - LP: #200990

  [Tim Gardner]

  * Added saa7134 to LUM.
    - LP: #201431

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 07:26:25 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-14.19) hardy; urgency=low

  [Amit Kucheria]

  * LPIA: Remove firmware

  [Tim Gardner]

  * Build cx88 modules
    - LP: #202065

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 07:11:27 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-14.18) hardy; urgency=low

  [Amit Kucheria]

  * Intel WiMax stack and driver for i2400m
  * WiMAX firmware and headers

  [Colin Ian King]

  * snd_bt_sco kernel Oops at startup
    - LP: #202249

  [Mario Limonciello]

  * Switch to enable second headphone jack on Dell M09 Ignore: no This adds
    a switch that enables the second headphone jack, allowing 5.1 audio and
    also two sets of headphone at the same time.

  [Stefan Bader]

  * SAUCE: Add missing SSID for suspend quirk.
    - LP: #151111
  * SAUCE: Enable audio quirk for Aluminium iMac.
    - LP: #147087

  [Tim Gardner]

  * ifdef iwlwifi debug messages
    - LP: #190475
  * lirc_serial loads but does not work
    - LP: #182530
  * Enable front input jack on Inspiron 1420/1520

  [Upstream Kernel Changes]

  * Ubuntu: Marvell: 8688: Enable WPA/WPA2 support

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 28 Mar 2008 10:54:41 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-12.17) hardy; urgency=low

  * Rebuild against kernel with CONFIG_SOUND enabled.

  [Mario Limonciello]

  * Fix audio on laptops with irregular HDA codec numbering
    LP: #193840

  [Amit Kucheria]

  * Marvell: CONFIG_MMC_SD8686 is not being passed to the Makefile

  [Ben Collins]

  * sound/hda: Reorganized DAC outputs
  * build/hdrs: Cleanup the header build

  [Upstream Kernel Changes]

  * gfs: Sync missing commit from RHEL5 branch

 -- Amit Kucheria <amit@ubuntu.com>  Sun, 09 Mar 2008 23:12:03 +0200

linux-ubuntu-modules-2.6.24 (2.6.24-12.16) hardy; urgency=low

  [Amit Kucheria]

  * Marvell 8686 and 8688 drivers moved from kernel to LUM
  * Make the 868x drivers actually compile...
  * Marvell: Rename 8686_v9 to 8686_wlan
  * Marvell: Consistent naming for 8686 drivers

  [Mario Limonciello]

  * STAC927x improvements
  * STAC Power fixes
  * STAC Power fixes
  * Enable analog Mic on Inspiron laptops with 92xx
  * Add 92HDxxxx PCI Quirk
  * Add support for upcoming XPS M09 systems.

  [Stefan Bader]

  * Add firmware for zd1201 driver.
    - LP: #66909

  [Tim Gardner]

  * Update AMD HDMI audio support
    - LP: #197843

  [Upstream Kernel Changes]

  * Ubuntu: Poulsbo: DRM Beta07 changes, Fixed S3/S4 PM issues
  * Ubuntu: Poulsbo: DRM Beta07 changes. S3 and S4 PM issues fixed

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 08 Mar 2008 12:47:44 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-11.15) hardy; urgency=low

  [Tim Gardner]

  * Fix ATI HDMI oops
    - LP: #196026
  * ifdef and net_ratelimit() iwlwifi debug messages
    - LP: #190475
  * SAUCE: Implemented suspend quirk support for HP NC6220 and NW8240
    - LP: #151111
  * Removed ivtv driver
    - LP: #197089

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 28 Feb 2008 13:53:20 -0700

linux-ubuntu-modules-2.6.24 (2.6.24-10.14) hardy; urgency=low

  [Jay Chetty]

  * poulsbo: update to beta 6 version of the driver
  * poulsbo: update to beta 6 version of the driver

  [Stefan Bader]

  * Pull in the RAID4/5 target for device-mapper.
  * Pull in the RAID4/5 target for device-mapper.
  * Remove exports of dm-log to solve duplicate symbols.
  * Update hdaps_ec to use vendor IBM for X40 and X41.
    - LP: #33950

  [Tim Gardner]


