## linux-ubuntu-modules-2.6.24 2.6.24-16.23+804ume1harbour1

=== ubuntu/Makefile ===
--- 
+++ 
@@ -45,15 +45,25 @@
 
 obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o
 
-obj-m				+= media/
+obj-$(CONFIG_GSPCA)		+= media/gspcav1/
+obj-$(CONFIG_USB_OV511_NEW)	+= media/ov511/
+obj-$(CONFIG_QUICKCAM)		+= media/quickcam/
+obj-$(CONFIG_USB_UVCCAM)	+= media/usbvideo/
+ifeq ($(CONFIG_PPC64),)
+obj-$(CONFIG_LIRC_DEV)		+= media/lirc/
+endif
+obj-$(CONFIG_DRM_PSB)		+= media/drm-poulsbo/
+obj-$(CONFIG_STK11XX)		+= media/stk11xx/
 
 obj-$(CONFIG_NET_ATL2)		+= net/atl2/
+obj-$(CONFIG_NET_R8101)		+= net/r8101/
 
 obj-$(CONFIG_NET_ACX)		+= wireless/acx/
 obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
 obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
 obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
 obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
+obj-$(CONFIG_BROADCOM)		+= wireless/broadcom/
 
 ifneq ($(CONFIG_PRISM2_USB),)
 obj-m				+= wireless/p80211/
@@ -67,9 +77,16 @@
 
 obj-$(CONFIG_ET131X)		+= net/et131x/
 obj-$(CONFIG_IGB)		+= net/igb/
+obj-$(CONFIG_VMWARE)		+= openvm/vmblock/ 
+obj-$(CONFIG_VMWARE)		+= openvm/vmhgfs/
+obj-$(CONFIG_VMWARE)		+= openvm/vmmemctl/
+obj-$(CONFIG_VMWARE)		+= openvm/vmxnet/
+obj-$(CONFIG_VMWARE)		+= openvm/vmsync/
 
 obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
 obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
 obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o
 
 obj-$(CONFIG_DMRAID45)		+= md/
+obj-$(CONFIG_CX88)		+= media/cx88/
+obj-$(CONFIG_SAA7134)		+= media/saa7134/
