=== ubuntu/md/Makefile ===
dm-raid4-5-objs :=	dm-raid4-5.o dm-log.o dm-mem-cache.o \
			dm-region_hash.o dm-message.o

obj-m			+= dm-raid4-5.o
