=== ubuntu/net/atl2/Makefile ===
CFILES = at_main.c at_hw.c at_param.c at_ethtool.c kcompat.c  
HFILES = at.h at_hw.h at_osdep.h kcompat.h

obj-m += atl2.o
atl2-objs := $(CFILES:.c=.o)
