=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-16.23+804ume1harbour1) hardy; urgency=low

  [Michael Frey]

  * Added Broadcomm wireless driver for Belmont board

 -- Michael Frey <michael.frey@canonical.com>  Wed, 14 May 2008 20:52:59 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-16.23+804ume1belmont1) hardy; urgency=low

  [Michael Frey]

  * Build ALSA
  * Remove lipacompat
  * Added r8101 sub directory to be built
  * Added latest Realtek r8101 ethernet driver

 -- Michael Frey <michael.frey@canonical.com>  Thu, 24 Apr 2008 15:22:43 -0400
